﻿#region Copyright Syncfusion Inc. 2001 - 2012
// Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIO;
using System.IO;

namespace Syncfusion.DocIO
{
    public static class Extensions
    {
        public static void SaveAsDoc(this WordDocument document)
        {
            SaveFileDialog sfd = new SaveFileDialog()
            {
                Filter = "Doc files (*.doc)|*.doc",
                DefaultExt = ".doc",
                FilterIndex = 1
            };
            if (sfd.ShowDialog() == true)
            {
                using (Stream stream = sfd.OpenFile())
                {
                    document.Save(stream, FormatType.Doc);
                }
                MessageBox.Show("Document has been successfully generated", "Essential DocIO", MessageBoxButton.OK);
            }           
        }


        public static void SaveAsDocx(this WordDocument document, string formatType)
        {
            SaveFileDialog sfd = new SaveFileDialog()
            {
                Filter = "Docx files (*.docx)|*.docx",
                DefaultExt = ".docx",
                FilterIndex = 1
            };
            if (sfd.ShowDialog() == true)
            {
                using (Stream stream = sfd.OpenFile())
                {
                    if (formatType == "rdButtonWord2007")
                        document.Save(stream, FormatType.Word2007);
                    else if (formatType == "rdButtonWord2010")
                        document.Save(stream, FormatType.Word2010);
                    else if (formatType == "rdButtonWord2013")
                        document.Save(stream, FormatType.Word2013);
                }
                MessageBox.Show("Document has been successfully generated", "Essential DocIO", MessageBoxButton.OK);
            }
        }
    }
}
