﻿#region Copyright Syncfusion Inc. 2001 - 2012
// Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.Windows.Resources;
using System.Globalization;
using System.Reflection;

namespace Syncfusion.DocIO.Silverlight.Samples
{
    internal sealed class ResourceManager
    {
        /// <summary>
        /// Gets the resource.
        /// </summary>
        /// <param name="resourceUri">The resource URI.</param>
        /// <returns></returns>
        public static Stream Load(Uri resourceUri)
        {
            Assembly assembly = Assembly.GetExecutingAssembly();
            string filePath = string.Format(CultureInfo.CurrentCulture, "{0}." + resourceUri.ToString().Replace("/", "."), assembly.FullName.Split(new char[] { ',' })[0]);
            Stream fileStream = assembly.GetManifestResourceStream(filePath);
            if (fileStream == null)
                throw new ResourceNotFoundException(resourceUri);
            else
                return fileStream;
        }
    }

    #region Exception
    internal class ResourceNotFoundException : Exception
    {
        public ResourceNotFoundException(Uri resourceUri)
            : base(string.Format("Resource not found : {0}", resourceUri.ToString()))
        {

        }
    }
    #endregion
}
